# older opencdk forgot to bundle m4 file
%define opencdk_version 0.6.0
%define libgcrypt_version 1.2.4

%define major 26
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	2.6.4
%define subrel 3
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://www.gnutls.org
Source0:	http://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		gnutls-2.3.11-examples-missing-header.patch
Patch1:		gnutls-2.6.4-CVE-2009-1415.patch
Patch2:		gnutls-2.6.4-CVE-2009-1416.patch
Patch3:		gnutls-2.6.4-CVE-2009-1417.patch
Patch4:		gnutls-2.6.6-cve-2009-2730.patch
BuildRequires:	opencdk-devel >= %{opencdk_version}
BuildRequires:	liblzo-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	valgrind
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	opencdk-devel >= %{opencdk_version}
Requires:	libgcrypt-devel >= %{libgcrypt_version}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .cve-2009-2730

%build
autoreconf
%configure2_5x \
	--with-included-libtasn1=no \
	--with-included-libcfg=yes \
	--with-lzo \
	--with-libz-prefix=%{_prefix} \
	--with-libgcrypt \
	--with-libgcrypt-prefix=%{_prefix} \
	--with-libtasn1-prefix=%{_prefix} \
	--disable-rpath \
	--disable-guile \
	--enable-valgrind-tests

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}
%multiarch_binaries %{buildroot}%{_bindir}/libgnutls-config %{buildroot}%{_bindir}/libgnutls-extra-config

%clean
rm -rf %{buildroot}

%post
%_install_info gnutls.info

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%postun
%_remove_install_info gnutls.info

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%files -f %{name}.lang 
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_mandir}/man?/*
%{_infodir}/gnutls*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_bindir}/libgnutls*
%{_includedir}/gnutls
%{_datadir}/aclocal/*

%multiarch
%{multiarch_bindir}/libgnutls-config 
%{multiarch_bindir}/libgnutls-extra-config 


%changelog
* Thu Aug 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.6.4-1.3mdv2009.1
- P4: security fix for CVE-2009-2730

* Mon May 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-1.2mdv2009.1
- built for updates

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 2.6.4-1.1mdv2009.1
+ Revision: 369967
- add patches fix CVE-2009-1415, CVE-2009-1416, CVE-2009-1417

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.4-1mdv2009.1
+ Revision: 339088
- update to new version 2.6.4

* Tue Dec 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.3-1mdv2009.1
+ Revision: 315015
- update to new version 2.6.3

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.2-2mdv2009.1
+ Revision: 314900
- added the rediffed fuzzy patch
- rebuild

* Fri Nov 14 2008 Funda Wang <fundawang@mandriva.org> 2.6.2-1mdv2009.1
+ Revision: 302959
- New version 2.6.2

* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 302030
- New version 2.6.1

* Wed Oct 22 2008 Funda Wang <fundawang@mandriva.org> 2.6.0-1mdv2009.1
+ Revision: 296359
- New version 2.6.0

* Sat Oct 11 2008 Funda Wang <fundawang@mandriva.org> 2.4.2-1mdv2009.1
+ Revision: 291789
- New version 2.4.2
- patch0 merged upstream

* Sun Jul 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-1mdv2009.0
+ Revision: 234268
- update to new version 2.4.1
- fix typo in patch name

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-2mdv2009.0
+ Revision: 227987
- rebuilt due to PayloadIsLzma problems

* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 2.4.0-1mdv2009.0
+ Revision: 227692
- New version 2.4.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.11-1mdv2009.0
+ Revision: 212897
- update to new version 2.3.11
- enable support for libzo
- compile with system-wide libtasn1
- enable checks
- do not package COPYING file
- Patch0: add missing header

* Sat May 17 2008 Funda Wang <fundawang@mandriva.org> 2.3.9-1mdv2009.0
+ Revision: 208538
- New version 2.3.9

* Wed May 07 2008 Funda Wang <fundawang@mandriva.org> 2.3.8-1mdv2009.0
+ Revision: 202890
- New version 2.3.8

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix license tag (thanx Adam)

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-2mdv2008.1
+ Revision: 173245
- enable srp authentication, needed by mod_gnutls

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 171614
- new version
  drop signature file from sources (missing from mirrors)
  disable guile bindings explicitely

* Sat Jan 19 2008 Funda Wang <fundawang@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 155052
- New version 2.2.1

* Sat Jan 12 2008 Funda Wang <fundawang@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 149636
- BR opencdk 0.6.x
- WARNING: New major 13->26

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 2.0.4-1mdv2008.1
+ Revision: 109266
- New version 2.0.4

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 102896
- New versino 2.0.2

* Tue Sep 18 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 89561
- Force rebuild

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 79694
- Correct license of library
- New version 2.0.0

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.3-1mdv2008.0
+ Revision: 51577
- disable rpath
- compile with gcrypt support
- new version
- new devel library policy


* Tue Jan 23 2007 Stew Benedict <sbenedict@mandriva.com> 1.6.1-1mdv2007.0
+ Revision: 112605
- 1.6.1
  drop P0 - merged upstream
  work around %%multiarch weirdness for multiple files

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
+ Revision: 85045
- Import gnutls

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
- 1.4.5

* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-4mdv2007.0
- - Rebuild against ncurse

* Wed Sep 20 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-3mdv2007.0
- P0: security fix for CVE-2006-4790

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.0-2mdv2007.0
- Rebuild

* Fri May 26 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-1mdv2007.0
- 1.4.0

* Sat Apr 15 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.25-4mdk
- P3: security fix for CVE-2006-0645

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.25-3mdk
- Rebuild

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-2mdk
- replace source 2 by patch 2 and update it for new liblzo

* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-1mdk
- update patch 1
- update minilzo to 2.00
- new version

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 1.0.23-2mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.23-1mdk
- 1.0.23
- fix %%libname_orig
- remove patent tainted SRP code (P1 from fedora)
- drop P0 (fixed upstream)
- fix summary-ended-with-dot

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 1.0.13-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.10-1mdk
- new release

